<?
header('Content-Type: text/html;charset=iso-8859-1');

include 'connect_sql.php';
include 'membres.php';

include 'cron.php'; // exécute le cron en profitant du rafraichissement AJAX chaque seconde

$id_invite = $_GET['id_invite'];

$id_membre = $id_invite;

$partie_cours = 0;

// on update la dernière action de l'id du membre courant

$time_derniere_action = time();
					
requete_sql("UPDATE membres SET time_derniere_action={$time_derniere_action} WHERE id_membre = {$id_invite}");


// on va regarder si l'id_invite est éventuellement lui-même un inviteur (id_membre_blanc)

$num = requete_sql("SELECT id_partie, partie_en_cours, id_membre_blanc, id_membre_noir FROM parties WHERE (id_membre_blanc = {$id_invite}) ORDER BY id_partie DESC LIMIT 1");

$id_inviteur	 		= $num[1]['id_membre_blanc'];
$id_invite		 		= $num[1]['id_membre_noir'];
$partie_en_cours 	= $num[1]['partie_en_cours'];
$id_partie 	 			= $num[1]['id_partie'];

if ($id_inviteur) {
	
		$vous_invite = 1;
	
		$pseudo_inviteur = strtoupper(retourner_champ_membre($id_inviteur, 'pseudo'));
		$pseudo_invite	 = strtoupper(retourner_champ_membre($id_invite, 'pseudo'));
}

// sinon on regarde quel est son inviteur s'il existe

else {
	
		$id_invite = $_GET['id_invite'];
	
		$vous_invite = 0;

		$num = requete_sql("SELECT id_partie, id_membre_blanc, partie_en_cours, id_membre_noir FROM parties WHERE (id_membre_noir = {$id_invite}) ORDER BY id_partie DESC LIMIT 1");

		$id_inviteur = $num[1]['id_membre_blanc'];
		$id_invite	 = $num[1]['id_membre_noir'];
		
		$partie_en_cours 	= $num[1]['partie_en_cours'];
		
		$id_partie 	 = $num[1]['id_partie'];
		
		if ($id_inviteur) {
		
				$pseudo_inviteur = strtoupper(retourner_champ_membre($id_inviteur, 'pseudo'));
		
		} else { $pseudo_inviteuer = 0; }
}

if ($pseudo_inviteur) {

	if (!$vous_invite) {


if ($partie_en_cours) {
		
				$HTML = <<<EOF
<p align="center"><br />
<span id="alert" style="text-align: center">&lt;&lt; VOUS AVIEZ ACCEPTE L'INVITATION DE <span class="pseudo"> <span style="text-align: center">{$pseudo_inviteur} &gt;&gt;</span></span></span></p>
<p align="center"><a href="premier_init.php?nom_partie={$id_partie}">Cliquez ici pour continuer la partie en cours</a> !</p>
EOF;
} else {

				$HTML = <<<EOF
<p align="center"><br />
<span class="pseudo"> <span style="text-align: center">&lt;&lt; {$pseudo_inviteur}</span></span> <span id="alert" style="text-align: center">VOUS INVITE A JOUER &gt;&gt;</span></p>
<p align="center"><a href="premier_init.php?nom_partie={$id_partie}">Cliquez ici pour accepter son invitation</a> !</p>
EOF;
}

} else {
	
if ($partie_en_cours) {
		$partie_cours = 1;
		 $HTML = <<<EOF
document.location.href="premier_init.php?nom_partie={$id_partie}";
EOF;
} else {
	
	$partie_cours = 0;
		
		$HTML = <<<EOF
<p align="center"><br />
<span class="pseudo"> <span id="alert" style="text-align: center"><u>VOUS AVEZ INVITE {$pseudo_invite}</u></span> : vous devez attendre qu'il accepte votre invitation, sinon <a href="jouer_partie.php?del_invit=1">cliquez ici pour changer d'adversaire</a></p></p>
EOF;
	}
}
		
} else {
	
$HTML = <<<EOF
<p align="center"><br />
<span class="pseudo"> <span id="alert" style="text-align: center"><u>AUCUNE INVITATION EN COURS LANCEE</u></span> : vous pouvez inviter un membre à jouer contre vous !</p></p>
EOF;
}

// TRAITEMENT DE LA TABLE DES JOUEURS CONNECTES

function rejoindre_ou_inviter($id, $id_inviteur) {
global $id_membre;
	
$pseudo = retourner_champ_membre($id, 'pseudo');	
$elo = retourner_champ_membre($id, 'elo');	
$categorie = retourner_champ_membre($id, 'categorie');	

$partie_en_cours = retourner_partie_en_cours($id);

if ($id != $id_membre) {

		if ($partie_en_cours) {
			
				$id_partie = retourner_id_partie($id);
			
				$str_inviter = 'Rejoindre';
				
		$lien_a = <<<EOF
<a href="premier_init.php?nom_partie={$id_partie}">{$str_inviter}</a>
EOF;
		
		} else {
			
			$str_inviter = 'Inviter';
			
		$lien_a = <<<EOF
<a href="jouer_partie.php?id_inviteur={$id_inviteur}&id_invite={$id}">{$str_inviter}</a>
EOF;
	}
	
} else {

		$lien_a = <<<EOF
<a href="#">Aucune</a>
EOF;
}
	
return <<<EOF
<tr>
        <td bgcolor="#FFFFFF" style="text-align: center">&nbsp;{$pseudo}&nbsp;</td>
        <td bgcolor="#FFFFFF" style="text-align: center"><span style="text-align: center">&nbsp;{$elo}&nbsp;</span></td>
        <td bgcolor="#FFFFFF" style="text-align: center"><span style="text-align: center">&nbsp;{$categorie}&nbsp;</span></td>
        <td bgcolor="#FFFFFF" style="text-align: center">&nbsp;{$lien_a}&nbsp;</td>
</tr>
EOF;
}

$html_invitation = '';

$time_derniere_action = time();

$num = requete_sql("SELECT id_membre FROM membres WHERE ({$time_derniere_action}-time_derniere_action <= 10) or (ordi = 1)");

for ($i = 1; $i <= $num['count']; $i++) {

		$html_invitation .=	rejoindre_ou_inviter($num[$i]['id_membre'], $id_membre);
}	

$la_table = <<<EOF
Bonjour, vous êtes connecté(e) en tant que <b><font color=green>{$pseudo}</font></b> sur Popular Chess. <a href="connexion.php?deco=1">Cliquez ici</a> pour vous déconnecter !<br />
<br />
&nbsp;<u>Liste des joueurs actuellement connect&eacute;s</u> :</p>
<table width="50%" border="1" align="left" cellpadding="0" cellspacing="0">
<tr>
      <td bgcolor="#FFCCAA">&nbsp;Pseudo&nbsp;</td>
      <td bgcolor="#FFCCAA">&nbsp;Elo&nbsp;</td>
      <td bgcolor="#FFCCAA">&nbsp;Categorie&nbsp;</td>
      <td bgcolor="#FFCCAA"><span style="text-align: center">&nbsp;Action&nbsp;</span></td>
  </tr>
    
 {$html_invitation}
</table>
EOF;

// CREATION DU TABLEAU INFO

$taille_info = 3;
$tab_info[1] = $HTML;
$tab_info[2] = $la_table;
$tab_info[3] = $partie_cours;

// CREATION DES VARIABLES POUR LE PARSAGE JASON DU JAVASCRIPT

$guillement = '"' ;
$i = 0;

$chaine = '';

while ($i < $taille_info) {
	
	$i++ ;

	$chaine .= $tab_info[$i] .= '**suite**';	
}

echo $chaine;

?>